JtaAfterCompletionSynchronization (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction.jta

## Class JtaAfterCompletionSynchronization

- java.lang.Object
- - org.springframework.transaction.jta.JtaAfterCompletionSynchronization

- All Implemented Interfaces:
    Synchronization

      public class JtaAfterCompletionSynchronization
      extends Object
      implements Synchronization

  Adapter for a JTA Synchronization, invoking the `afterCommit` / `afterCompletion` callbacks of Spring `TransactionSynchronization` objects callbacks after the outer JTA transaction has completed. Applied when participating in an existing (non-Spring) JTA transaction.
  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `TransactionSynchronization.afterCommit()`, `TransactionSynchronization.afterCompletion(int)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JtaAfterCompletionSynchronization(List<TransactionSynchronization> synchronizations)` Create a new JtaAfterCompletionSynchronization for the given synchronization objects.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCompletion(int status)`
    `void` | `beforeCompletion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JtaAfterCompletionSynchronization

          public JtaAfterCompletionSynchronization(List<TransactionSynchronization> synchronizations)

      Create a new JtaAfterCompletionSynchronization for the given synchronization objects.
      Parameters:
        `synchronizations` - the List of TransactionSynchronization objects
      See Also:
        `TransactionSynchronization`

  - ### Method Detail

    - #### beforeCompletion

          public void beforeCompletion()

      Specified by:
        `beforeCompletion` in interface `Synchronization`

    - #### afterCompletion

          public void afterCompletion(int status)

      Specified by:
        `afterCompletion` in interface `Synchronization`